.main_content_div {
    width: 100%;

    .back_image {
        height: 300px;
        width: 100%;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        position: relative;

        ion-button {
            position: absolute;
            bottom: 20px;
            right: 20px;
            --background: white;
            color: black;
            font-weight: 600;
        }
    }

    .white_div {
        height: 90px;
        width: 90px;
        background: white;
        border-radius: 50%;
        margin: auto;
        margin-top: -45px;
        position: relative;
        border: 4px solid white;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
    }

    .content_div {
        padding: 20px;
        ion-label {
            display: block;
        }
        .usernane {
            text-align: center;
            font-weight: 600;
            font-size: 18px;
            // margin-top: 10px;
        }
        .location {
            margin-top: 10px;
            text-align: center;
            color: gray;
            font-size: 14px;
        }
        .pin {
            color: gray;
        }

        .flex_div {
            margin-top: 20px;
            display: flex;
            flex-direction: row;
            justify-content: space-between;

            ion-label {
                color: black;
                font-size: 0.8rem;
                border: 1px solid lightgray;
                border-radius: 5px;
                padding: 5px;
                text-align: center;
            }
            ion-button {
                border: 1px solid lightgray;
                border-radius: 5px;
                color: black;
            }
        }
        .flex_div1 {
            margin-top: 20px;
            display: flex;
            justify-content: center;
            flex-direction: column;
            align-items: center;

            .gray_div {
                height: 60px;
                width: 60px;
                border-radius: 5px;
                background: lightgray;
                position: relative;
            }

            .history {
                width: 45px;
                height: 45px;
                position: absolute;
                left: 50%;
                top: 50%;
                transform: translate(-50%, -50%);
            }
        }

        .segment_div {
            display: flex;
            margin-top: 20px;
            border-bottom: 1px solid lightgray;
            // padding-bottom: 10px;
            ion-label {
                margin-right: 30px;
                color: gray;
                padding-bottom: 10px;
            }
            .active {
                border-bottom: 1px solid red;
            }
        }

        .segment_detail {
            padding-top: 20px;
            .sleepy {
                margin: auto;
                display: block;
            }
            .sleepy_lbl {
                display: block;
                text-align: center;
                margin-top: 20px;
                margin-bottom: 20px;
                color: gray;
                font-size: 14px;
            }
        }

        .logout {
            --border-radius: 5px;
            margin-top: 20px;
            font-weight: 600;
        }
    }

    .joinText {
        display: block;
        text-align: center;
        margin-top: 20px;
        margin-bottom: 20px;
        color: gray;
        font-size: 14px;
    }
}
